Subject: [SWIPL] Processing XML containing attribute values begining with _

From: Chris Fox <[email-masked]>
Date: Tue, 09 Oct 2001 17:36:50 +0100

I am using sgml_parse to extract information from XML documents.  Some of 
these documents contain attribute-values such as name="_exp" (where the value 
begins with an underscore).

sgml_parse appears to produce an appropriate term representation, of the form 
(name=_exp), except that such values are (unfortunately) interpreted as 
variables under unification, and not atoms, which makes it hard (impossible?) 
to extract the value.

Is there some way of forcing entities/values of this sort to be 
represented/interpreted as true atoms (or strings) e.g. '_exp'?

Many thanks,
	Chris

-- 
Dr. Chris Fox,   Department of Computer Science, King's College London
Tel/Fax: +44(0)20 7848 2694/2851 	    Strand, London WC2 2LS, UK
Email: [email-masked]       http://www.dcs.kcl.ac.uk/staff/foxcj/ 
GnuPG ID BF33F149 (4348 ED2F 2694 4ADC C812  7D95 D937 7FE1 BF33 F149)